/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'cicon\'">' + entity + '</span>' + html;
	}
	var icons = {
		'cicon-search': '&#xe001;',
		'cicon-envelope': '&#xe005;',
		'cicon-mailbox': '&#xe007;',
		'cicon-phone': '&#xe00c;',
		'cicon-circle-x-thin': '&#xe016;',
		'cicon-user': '&#xe027;',
		'cicon-people-in-group': '&#xe387;',
		'cicon-close-thin-large': '&#xe039;',
		'cicon-plus-thin': '&#xe2ea;',
		'cicon-minus-thin': '&#xe2eb;',
		'cicon-plus': '&#xe03a;',
		'cicon-minus': '&#xe03b;',
		'cicon-plus-circle': '&#xe03c;',
		'cicon-minus-circle': '&#xe03d;',
		'cicon-plus-square': '&#xe03e;',
		'cicon-minus-square': '&#xe03f;',
		'cicon-bars': '&#xe042;',
		'cicon-calendar': '&#xe061;',
		'cicon-exclamation-diamond': '&#xe07e;',
		'cicon-newspaper': '&#xe236;',
		'cicon-desktop': '&#xe090;',
		'cicon-layers': '&#xe0ab;',
		'cicon-map': '&#xe0ac;',
		'cicon-location-target': '&#xe0ae;',
		'cicon-shield': '&#xe0b4;',
		'cicon-building-o': '&#xe0c3;',
		'cicon-bar-chart': '&#xe0e3;',
		'cicon-person-pie-chart': '&#xe38b;',
		'cicon-shopping-cart': '&#xe0e7;',
		'cicon-covid': '&#xe396;',
		'cicon-minus-thin-border': '&#xe404;',
		'cicon-mask-only': '&#xe40c;',
		'cicon-gl-station': '&#xe400;',
		'cicon-gl-stn-underground': '&#xe401;',
		'cicon-bus': '&#xe0fa;',
		'cicon-train': '&#xe103;',
		'cicon-file-dwt': '&#xe410;',
		'cicon-file-dst': '&#xe411;',
		'cicon-angle-double-down': '&#xe154;',
		'cicon-angle-double-left': '&#xe155;',
		'cicon-angle-double-right': '&#xe156;',
		'cicon-angle-double-up': '&#xe157;',
		'cicon-angle-down': '&#xe158;',
		'cicon-angle-left': '&#xe159;',
		'cicon-angle-right': '&#xe15a;',
		'cicon-angle-up': '&#xe15b;',
		'cicon-arrow-circle-down': '&#xe15c;',
		'cicon-arrow-circle-left': '&#xe15d;',
		'cicon-arrow-circle-right': '&#xe15e;',
		'cicon-arrow-circle-up': '&#xe15f;',
		'cicon-external-link': '&#xe18a;',
		'cicon-facebook-circle': '&#xe1af;',
		'cicon-twitter-circle': '&#xe1b2;',
		'cicon-linkedin-circle': '&#xe1b5;',
		'cicon-flickr-circle': '&#xe1b7;',
		'cicon-youtube-circle': '&#xe1bb;',
		'cicon-citynews-circle': '&#xe1bc;',
		'cicon-google-plus-circle': '&#xe1bf;',
		'cicon-tumblr-circle': '&#xe1c3;',
		'cicon-map-square': '&#xe21a;',
		'cicon-map-square-o': '&#xe21b;',
		'cicon-map-pointer-square': '&#xe27e;',
		'cicon-map-pointer-square-o': '&#xe27f;',
		'cicon-calendar-event': '&#xe21c;',
		'cicon-cemetery': '&#xe21d;',
		'cicon-atraction': '&#xe21e;',
		'cicon-visitor-info': '&#xe21f;',
		'cicon-community-center': '&#xe220;',
		'cicon-social-dev-centre': '&#xe221;',
		'cicon-civic-partners-development': '&#xe222;',
		'cicon-casg': '&#xe223;',
		'cicon-community-safety': '&#xe224;',
		'cicon-new-central-library': '&#xe225;',
		'cicon-park-development': '&#xe226;',
		'cicon-recreation-development': '&#xe227;',
		'cicon-after-school-program': '&#xe228;',
		'cicon-library': '&#xe229;',
		'cicon-post-secondary': '&#xe22a;',
		'cicon-school': '&#xe22b;',
		'cicon-court': '&#xe22c;',
		'cicon-ems-station': '&#xe22d;',
		'cicon-fire-stn': '&#xe22e;',
		'cicon-health-clinic': '&#xe22f;',
		'cicon-police-service': '&#xe230;',
		'cicon-traffic-camera': '&#xe231;',
		'cicon-historic-resource': '&#xe232;',
		'cicon-building-permit': '&#xe233;',
		'cicon-development-permit': '&#xe234;',
		'cicon-dp-public-notices': '&#xe235;',
		'cicon-loc': '&#xe237;',
		'cicon-subdivision': '&#xe2ec;',
		'cicon-lot-dimension': '&#xe238;',
		'cicon-offleash-dog': '&#xe239;',
		'cicon-arena': '&#xe23a;',
		'cicon-art-centre': '&#xe23b;',
		'cicon-city-park': '&#xe23c;',
		'cicon-golf-course': '&#xe23d;',
		'cicon-indoor-pool': '&#xe23e;',
		'cicon-outdoor-pool': '&#xe23f;',
		'cicon-skate-park': '&#xe240;',
		'cicon-leisure-centre': '&#xe241;',
		'cicon-circle-l': '&#xe242;',
		'cicon-circle-l-x-thin': '&#xe243;',
		'cicon-construction-detours-base': '&#xe244;',
		'cicon-construction-detours': '&#xe245;',
		'cicon-construction-base': '&#xe246;',
		'cicon-construction': '&#xe247;',
		'cicon-residential-parking-polygon': '&#xe249;',
		'cicon-plow-sander': '&#xe2d2;',
		'cicon-holiday-tree-drop-off': '&#xe24b;',
		'cicon-recycle-depot': '&#xe24c;',
		'cicon-electronics-recycling': '&#xe24d;',
		'cicon-landfill': '&#xe24e;',
		'cicon-haz-drop-off': '&#xe24f;',
		'cicon-leaf-drop-off': '&#xe250;',
		'cicon-brt-stop': '&#xe252;',
		'cicon-demolished-historic-resource': '&#xe253;',
		'cicon-lot-easement': '&#xe254;',
		'cicon-community-line': '&#xe255;',
		'cicon-community-line-s': '&#xe256;',
		'cicon-ward-line': '&#xe257;',
		'cicon-ward-line-s': '&#xe258;',
		'cicon-map-dot-line': '&#xe259;',
		'cicon-map-line-thin': '&#xe25a;',
		'cicon-map-line': '&#xe25b;',
		'cicon-bikeway-line': '&#xe25c;',
		'cicon-ctrain-lines-base': '&#xe25d;',
		'cicon-ctrain-lines': '&#xe25e;',
		'cicon-map-location': '&#xe25f;',
		'cicon-map-location-o': '&#xe260;',
		'cicon-map-location-inner-circle': '&#xe261;',
		'cicon-map-pointer': '&#xe262;',
		'cicon-map-pointer-o': '&#xe263;',
		'cicon-map-pointer-inner-circle': '&#xe264;',
		'cicon-aqua-openwater': '&#xe265;',
		'cicon-wading-pool': '&#xe266;',
		'cicon-aqua-flatwater': '&#xe267;',
		'cicon-sailing': '&#xe268;',
		'cicon-rowing': '&#xe269;',
		'cicon-volleyball': '&#xe26a;',
		'cicon-tennis': '&#xe26b;',
		'cicon-tennis-in': '&#xe26c;',
		'cicon-soccer': '&#xe26d;',
		'cicon-soccer-in': '&#xe26e;',
		'cicon-spray-park': '&#xe26f;',
		'cicon-shooting-in': '&#xe270;',
		'cicon-lacrosse': '&#xe271;',
		'cicon-cricket': '&#xe272;',
		'cicon-baseball': '&#xe273;',
		'cicon-biking': '&#xe274;',
		'cicon-bowling': '&#xe275;',
		'cicon-bowling-in': '&#xe276;',
		'cicon-boxing': '&#xe277;',
		'cicon-curling': '&#xe278;',
		'cicon-gymnasium': '&#xe279;',
		'cicon-horseshoe': '&#xe27a;',
		'cicon-walking': '&#xe389;',
		'cicon-canadian-flag': '&#xe38d;',
		'cicon-311': '&#xe395;',
		'cicon-bike-closure': '&#xe402;',
		'cicon-park-ride': '&#xe403;',
		'cicon-paw': '&#xe0ce;',
		'cicon-parks-recreation': '&#xe2ef;',
		'cicon-building-planning': '&#xe2f1;',
		'cicon-environment': '&#xe2f5;',
		'cicon-bylaws-public-safety': '&#xe2f7;',
		'cicon-taxes-property-assessment': '&#xe2f9;',
		'cicon-social-services': '&#xe2fb;',
		'cicon-cleaning-services': '&#xe2fd;',
		'cicon-beauty-body-services': '&#xe2ff;',
		'cicon-production-research': '&#xe301;',
		'cicon-massage-services': '&#xe303;',
		'cicon-food-trucks': '&#xe305;',
		'cicon-yoga-pilates-circle': '&#xe311;',
		'cicon-swimming-circle': '&#xe313;',
		'cicon-sports-circle': '&#xe315;',
		'cicon-skating-hockey-circle': '&#xe317;',
		'cicon-skateboarding-circle': '&#xe319;',
		'cicon-sailing-circle': '&#xe31b;',
		'cicon-playschool-circle': '&#xe31d;',
		'cicon-nature-circle': '&#xe31f;',
		'cicon-martial-arts-circle': '&#xe321;',
		'cicon-golf-circle': '&#xe323;',
		'cicon-fitness-strenght-circle': '&#xe325;',
		'cicon-fitness-pre-postnatal-circle': '&#xe327;',
		'cicon-day-camps-circle': '&#xe329;',
		'cicon-certifications-leadership-circle': '&#xe32b;',
		'cicon-arts-visual-circle': '&#xe32d;',
		'cicon-arts-dance-circle': '&#xe32f;',
		'cicon-call-center-person': '&#xe37d;',
		'cicon-digital-thermostat': '&#xe369;',
		'cicon-infill-construction': '&#xe36b;',
		'cicon-natural-gas-burner': '&#xe36d;',
		'cicon-natural-gas-flame': '&#xe36f;',
		'cicon-overhead-electrical-services-a': '&#xe371;',
		'cicon-overhead-electrical-services-b': '&#xe373;',
		'cicon-plumbing-faucet': '&#xe375;',
		'cicon-plumbing-gas': '&#xe377;',
		'cicon-water-meter': '&#xe379;',
		'cicon-historic-city-hall': '&#xe368;',
		'cicon-solar-panel': '&#xe37b;',
		'cicon-cannabis': '&#xe38c;',
		'cicon-large-text': '&#xe33b;',
		'cicon-large-text-sq': '&#xe33c;',
		'cicon-mobility': '&#xe33d;',
		'cicon-mobility-sq': '&#xe33e;',
		'cicon-open-captioning': '&#xe33f;',
		'cicon-open-captioning-sq': '&#xe340;',
		'cicon-seeing-eye-dog': '&#xe341;',
		'cicon-seeing-eye-dog-sq': '&#xe342;',
		'cicon-sign-language': '&#xe343;',
		'cicon-sign-language-sq': '&#xe344;',
		'cicon-teletypewriter': '&#xe345;',
		'cicon-teletypewriter-sq': '&#xe346;',
		'cicon-vision-loss': '&#xe347;',
		'cicon-vision-loss-sq': '&#xe348;',
		'cicon-white-cane': '&#xe349;',
		'cicon-white-cane-sq': '&#xe34a;',
		'cicon-assisted-listening': '&#xe34b;',
		'cicon-assisted-listening-sq': '&#xe34c;',
		'cicon-braille': '&#xe34e;',
		'cicon-braille-sq': '&#xe34d;',
		'cicon-closed-captioning': '&#xe34f;',
		'cicon-closed-captioning-sq': '&#xe350;',
		'cicon-cognitive-disability': '&#xe351;',
		'cicon-cognitive-disability-sq': '&#xe352;',
		'cicon-communication-access': '&#xe353;',
		'cicon-communication-access-sq': '&#xe354;',
		'cicon-FM-Infrared-system': '&#xe355;',
		'cicon-FM-Infrared-system-sq': '&#xe356;',
		'cicon-hard-of-hearing': '&#xe357;',
		'cicon-hard-of-hearing-sq': '&#xe358;',
		'cicon-al-a': '&#xe27c;',
		'cicon-al-b': '&#xe2d3;',
		'cicon-al-c': '&#xe2d4;',
		'cicon-al-d': '&#xe2d5;',
		'cicon-al-e': '&#xe2d6;',
		'cicon-al-f': '&#xe2d7;',
		'cicon-al-g': '&#xe2d8;',
		'cicon-al-h': '&#xe27b;',
		'cicon-al-i': '&#xe2d9;',
		'cicon-al-j': '&#xe2da;',
		'cicon-al-k': '&#xe2db;',
		'cicon-al-l': '&#xe2dc;',
		'cicon-al-m': '&#xe2dd;',
		'cicon-al-n': '&#xe2de;',
		'cicon-al-o': '&#xe2df;',
		'cicon-al-p': '&#xe27d;',
		'cicon-al-q': '&#xe2e0;',
		'cicon-al-r': '&#xe2e1;',
		'cicon-al-s': '&#xe2e2;',
		'cicon-al-t': '&#xe2e3;',
		'cicon-al-u': '&#xe2e4;',
		'cicon-al-v': '&#xe2e5;',
		'cicon-al-w': '&#xe2e6;',
		'cicon-al-x': '&#xe2e7;',
		'cicon-al-y': '&#xe2e8;',
		'cicon-al-z': '&#xe2e9;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/cicon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
