/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'cicon\'">' + entity + '</span>' + html;
	}
	var icons = {
		'cicon-home': '&#xe000;',
		'cicon-search-plus': '&#xe002;',
		'cicon-search-minus': '&#xe003;',
		'cicon-envelope-o': '&#xe004;',
		'cicon-envelope-square': '&#xe006;',
		'cicon-paper-plane-o': '&#xe008;',
		'cicon-paper-plane': '&#xe009;',
		'cicon-paper-plane-square': '&#xe00a;',
		'cicon-phone-square': '&#xe00d;',
		'cicon-fax': '&#xe00e;',
		'cicon-tty': '&#xe00f;',
		'cicon-certificate': '&#xe010;',
		'cicon-square': '&#xe011;',
		'cicon-square-o': '&#xe012;',
		'cicon-circle': '&#xe013;',
		'cicon-circle-o': '&#xe014;',
		'cicon-circle-thin': '&#xe015;',
		'cicon-dot-circle-o': '&#xe017;',
		'cicon-ban': '&#xe018;',
		'cicon-bullseye': '&#xe019;',
		'cicon-heart-o': '&#xe01a;',
		'cicon-heart': '&#xe01b;',
		'cicon-star-o': '&#xe01c;',
		'cicon-star-half-o': '&#xe01d;',
		'cicon-star': '&#xe01e;',
		'cicon-star-half': '&#xe01f;',
		'cicon-thumbs-o-up': '&#xe020;',
		'cicon-thumbs-o-down': '&#xe021;',
		'cicon-thumbs-up': '&#xe022;',
		'cicon-thumbs-down': '&#xe023;',
		'cicon-hand-grab-o': '&#xe280;',
		'cicon-hand-lizard-o': '&#xe281;',
		'cicon-hand-paper-o': '&#xe282;',
		'cicon-hand-peace-o': '&#xe283;',
		'cicon-hand-pointer-o': '&#xe284;',
		'cicon-hand-scissors-o': '&#xe285;',
		'cicon-hand-spock-o': '&#xe286;',
		'cicon-handshake': '&#xe38e;',
		'cicon-smile-o': '&#xe024;',
		'cicon-frown-o': '&#xe025;',
		'cicon-meh-o': '&#xe026;',
		'cicon-user-plus': '&#xe028;',
		'cicon-user-times': '&#xe029;',
		'cicon-user-friends': '&#xe38f;',
		'cicon-users': '&#xe02a;',
		'cicon-user-secret': '&#xe02b;',
		'cicon-user-md': '&#xe02c;',
		'cicon-male': '&#xe02d;',
		'cicon-female': '&#xe02e;',
		'cicon-child': '&#xe02f;',
		'cicon-check': '&#xe030;',
		'cicon-times': '&#xe031;',
		'cicon-check-square': '&#xe032;',
		'cicon-times-square': '&#xe033;',
		'cicon-check-square-o': '&#xe034;',
		'cicon-check-circle': '&#xe035;',
		'cicon-times-circle': '&#xe036;',
		'cicon-check-circle-o': '&#xe037;',
		'cicon-times-circle-o': '&#xe038;',
		'cicon-tachometer': '&#xe043;',
		'cicon-cog': '&#xe044;',
		'cicon-cogs': '&#xe045;',
		'cicon-wrench': '&#xe046;',
		'cicon-sort': '&#xe047;',
		'cicon-sort-desc': '&#xe048;',
		'cicon-sort-asc': '&#xe049;',
		'cicon-sort-alpha-asc': '&#xe04a;',
		'cicon-sort-alpha-desc': '&#xe04b;',
		'cicon-sort-amount-asc': '&#xe04c;',
		'cicon-sort-amount-desc': '&#xe04d;',
		'cicon-sort-numeric-asc': '&#xe04e;',
		'cicon-sort-numeric-desc': '&#xe04f;',
		'cicon-filter': '&#xe050;',
		'cicon-flask': '&#xe051;',
		'cicon-sitemap': '&#xe052;',
		'cicon-project-diagram': '&#xe390;',
		'cicon-crop': '&#xe053;',
		'cicon-mouse-pointer': '&#xe287;',
		'cicon-i-cursor': '&#xe288;',
		'cicon-toggle-off': '&#xe054;',
		'cicon-toggle-on': '&#xe055;',
		'cicon-download': '&#xe056;',
		'cicon-upload': '&#xe057;',
		'cicon-inbox': '&#xe058;',
		'cicon-archive': '&#xe059;',
		'cicon-retweet': '&#xe05a;',
		'cicon-repeat': '&#xe05b;',
		'cicon-undo': '&#xe05c;',
		'cicon-refresh': '&#xe05d;',
		'cicon-circle-o-notch': '&#xe05e;',
		'cicon-clock-o': '&#xe05f;',
		'cicon-history': '&#xe060;',
		'cicon-calendar-o': '&#xe062;',
		'cicon-calendar-plus-o': '&#xe289;',
		'cicon-calendar-minus-o': '&#xe28a;',
		'cicon-calendar-check-o': '&#xe28b;',
		'cicon-calendar-times-o': '&#xe28c;',
		'cicon-sticky-note-o': '&#xe28d;',
		'cicon-sticky-note': '&#xe28e;',
		'cicon-clone': '&#xe28f;',
		'cicon-hourglass-1': '&#xe290;',
		'cicon-hourglass-2': '&#xe291;',
		'cicon-hourglass-3': '&#xe292;',
		'cicon-hourglass': '&#xe293;',
		'cicon-hourglass-o': '&#xe294;',
		'cicon-spinner': '&#xe063;',
		'cicon-key': '&#xe064;',
		'cicon-lock': '&#xe065;',
		'cicon-unlock-alt': '&#xe066;',
		'cicon-unlock': '&#xe067;',
		'cicon-thumb-tack': '&#xe068;',
		'cicon-flag': '&#xe069;',
		'cicon-flag-o': '&#xe06a;',
		'cicon-flag-checkered': '&#xe06b;',
		'cicon-qrcode': '&#xe06c;',
		'cicon-barcode': '&#xe06d;',
		'cicon-tag': '&#xe06e;',
		'cicon-tags': '&#xe06f;',
		'cicon-book': '&#xe070;',
		'cicon-bookmark-o': '&#xe071;',
		'cicon-bookmark': '&#xe072;',
		'cicon-clipboard-check': '&#xe391;',
		'cicon-clipboard-list': '&#xe392;',
		'cicon-id-badge': '&#xe393;',
		'cicon-print': '&#xe073;',
		'cicon-eye': '&#xe074;',
		'cicon-eye-slash': '&#xe075;',
		'cicon-bell-o': '&#xe076;',
		'cicon-bell-slash-o': '&#xe077;',
		'cicon-bell': '&#xe078;',
		'cicon-bell-slash': '&#xe079;',
		'cicon-adjust': '&#xe07a;',
		'cicon-tint': '&#xe07b;',
		'cicon-exclamation': '&#xe07c;',
		'cicon-exclamation-triangle': '&#xe07d;',
		'cicon-exclamation-circle': '&#xe07f;',
		'cicon-question': '&#xe080;',
		'cicon-question-circle': '&#xe081;',
		'cicon-info': '&#xe082;',
		'cicon-info-circle': '&#xe083;',
		'cicon-tasks': '&#xe085;',
		'cicon-comment': '&#xe086;',
		'cicon-comment-o': '&#xe087;',
		'cicon-comment-dots': '&#xe088;',
		'cicon-comment-dots-o': '&#xe295;',
		'cicon-comments': '&#xe089;',
		'cicon-comments-o': '&#xe08a;',
		'cicon-magnet': '&#xe08b;',
		'cicon-bullhorn': '&#xe08c;',
		'cicon-suitcase': '&#xe08d;',
		'cicon-briefcase': '&#xe08e;',
		'cicon-lightbulb-o': '&#xe08f;',
		'cicon-television': '&#xe296;',
		'cicon-laptop': '&#xe091;',
		'cicon-tablet': '&#xe092;',
		'cicon-mobile': '&#xe093;',
		'cicon-battery-0': '&#xe297;',
		'cicon-battery-1': '&#xe298;',
		'cicon-battery-2': '&#xe299;',
		'cicon-battery-3': '&#xe29a;',
		'cicon-battery-4': '&#xe29b;',
		'cicon-keyboard-o': '&#xe094;',
		'cicon-gamepad': '&#xe095;',
		'cicon-signal': '&#xe096;',
		'cicon-wifi': '&#xe097;',
		'cicon-calculator': '&#xe098;',
		'cicon-power-off': '&#xe099;',
		'cicon-hdd-o': '&#xe09a;',
		'cicon-server': '&#xe09b;',
		'cicon-database': '&#xe09c;',
		'cicon-cloud-download': '&#xe09d;',
		'cicon-cloud-upload': '&#xe09e;',
		'cicon-cloud': '&#xe09f;',
		'cicon-sun-o': '&#xe0a0;',
		'cicon-moon-o': '&#xe0a1;',
		'cicon-bolt': '&#xe0a2;',
		'cicon-umbrella': '&#xe0a3;',
		'cicon-quote-left': '&#xe0a4;',
		'cicon-quote-right': '&#xe0a5;',
		'cicon-copyright': '&#xe0a6;',
		'cicon-at': '&#xe0a7;',
		'cicon-registered': '&#xe29c;',
		'cicon-creative-commons': '&#xe29d;',
		'cicon-trademark': '&#xe29e;',
		'cicon-terminal': '&#xe0a8;',
		'cicon-code': '&#xe0a9;',
		'cicon-map-marker': '&#xe0aa;',
		'cicon-map-pin': '&#xe29f;',
		'cicon-map2': '&#xe2a0;',
		'cicon-map2-o': '&#xe2a1;',
		'cicon-compass': '&#xe0ad;',
		'cicon-crosshairs': '&#xe0af;',
		'cicon-location-arrow': '&#xe0b0;',
		'cicon-street-view': '&#xe0b1;',
		'cicon-map-signs': '&#xe2a2;',
		'cicon-code-fork': '&#xe0b2;',
		'cicon-puzzle-piece': '&#xe0b3;',
		'cicon-fire-extinguisher': '&#xe0b5;',
		'cicon-asterisk': '&#xe0b6;',
		'cicon-anchor': '&#xe0b7;',
		'cicon-ellipsis-h': '&#xe0b8;',
		'cicon-ellipsis-v': '&#xe0b9;',
		'cicon-rss': '&#xe0ba;',
		'cicon-rss-square': '&#xe0bb;',
		'cicon-globe': '&#xe0bc;',
		'cicon-tree': '&#xe0bd;',
		'cicon-leaf': '&#xe0be;',
		'cicon-fire': '&#xe0bf;',
		'cicon-snowflake': '&#xe38a;',
		'cicon-bug': '&#xe0c0;',
		'cicon-historical-building': '&#xe0c1;',
		'cicon-graduation-cap': '&#xe0c2;',
		'cicon-industry': '&#xe2a3;',
		'cicon-building-o': '&#xe0c3;',
		'cicon-building': '&#xe0c4;',
		'cicon-hospital-o': '&#xe0c5;',
		'cicon-medkit': '&#xe0c6;',
		'cicon-h-square': '&#xe0c7;',
		'cicon-bed': '&#xe0c8;',
		'cicon-stethoscope': '&#xe0c9;',
		'cicon-heartbeat': '&#xe0ca;',
		'cicon-wheelchair': '&#xe0cb;',
		'cicon-gavel': '&#xe0cc;',
		'cicon-language': '&#xe0cd;',
		'cicon-cube': '&#xe0cf;',
		'cicon-cubes': '&#xe0d0;',
		'cicon-recycle': '&#xe0d1;',
		'cicon-life-ring': '&#xe0d2;',
		'cicon-sliders': '&#xe0d3;',
		'cicon-bomb': '&#xe0d4;',
		'cicon-trophy': '&#xe0d5;',
		'cicon-plug': '&#xe0d6;',
		'cicon-gift': '&#xe0d7;',
		'cicon-ticket': '&#xe0d8;',
		'cicon-futbol-o': '&#xe0d9;',
		'cicon-road': '&#xe0da;',
		'cicon-binoculars': '&#xe0db;',
		'cicon-glass': '&#xe0dc;',
		'cicon-coffee': '&#xe0dd;',
		'cicon-beer': '&#xe0de;',
		'cicon-cutlery': '&#xe0df;',
		'cicon-spoon': '&#xe0e0;',
		'cicon-birthday-cake': '&#xe0e1;',
		'cicon-lemon-o': '&#xe0e2;',
		'cicon-area-chart': '&#xe0e4;',
		'cicon-pie-chart': '&#xe0e5;',
		'cicon-line-chart': '&#xe0e6;',
		'cicon-shopping-bag': '&#xe2a4;',
		'cicon-cart-plus': '&#xe0e8;',
		'cicon-cart-arrow-down': '&#xe0e9;',
		'cicon-diamond': '&#xe0ea;',
		'cicon-object-group': '&#xe2a5;',
		'cicon-object-ungroup': '&#xe2a6;',
		'cicon-percent': '&#xe2a7;',
		'cicon-hashtag': '&#xe2a8;',
		'cicon-balance-scale': '&#xe2a9;',
		'cicon-venus': '&#xe0eb;',
		'cicon-mars': '&#xe0ec;',
		'cicon-mercury': '&#xe0ed;',
		'cicon-transgender': '&#xe0ee;',
		'cicon-transgender-alt': '&#xe0ef;',
		'cicon-venus-double': '&#xe0f0;',
		'cicon-mars-double': '&#xe0f1;',
		'cicon-venus-mars': '&#xe0f2;',
		'cicon-mars-stroke': '&#xe0f3;',
		'cicon-mars-stroke-v': '&#xe0f4;',
		'cicon-mars-stroke-h': '&#xe0f5;',
		'cicon-neuter': '&#xe0f6;',
		'cicon-broadcast-tower': '&#xe394;',
		'cicon-thermometer': '&#xe405;',
		'cicon-pump-medical': '&#xe406;',
		'cicon-people-arrows': '&#xe407;',
		'cicon-hospital-bed': '&#xe408;',
		'cicon-head-mask': '&#xe409;',
		'cicon-head-cough': '&#xe40a;',
		'cicon-hands-wash': '&#xe40b;',
		'cicon-money-check-alt': '&#xe40d;',
		'cicon-file-signature': '&#xe40e;',
		'cicon-vote-yea': '&#xe40f;',
		'cicon-ambulance': '&#xe0f7;',
		'cicon-car': '&#xe0f8;',
		'cicon-bicycle': '&#xe0f9;',
		'cicon-cab': '&#xe0fb;',
		'cicon-fighter-jet': '&#xe0fc;',
		'cicon-motorcycle': '&#xe0fd;',
		'cicon-plane': '&#xe0fe;',
		'cicon-rocket': '&#xe0ff;',
		'cicon-ship': '&#xe100;',
		'cicon-space-shuttle': '&#xe101;',
		'cicon-subway': '&#xe102;',
		'cicon-truck': '&#xe104;',
		'cicon-file-archive-o': '&#xe105;',
		'cicon-file-audio-o': '&#xe106;',
		'cicon-file-code-o': '&#xe107;',
		'cicon-file-excel-o': '&#xe108;',
		'cicon-file-image-o': '&#xe109;',
		'cicon-file-video-o': '&#xe10a;',
		'cicon-file-pdf-o': '&#xe10b;',
		'cicon-file-powerpoint-o': '&#xe10c;',
		'cicon-file-word-o': '&#xe10d;',
		'cicon-file-o': '&#xe10e;',
		'cicon-file-text-o': '&#xe10f;',
		'cicon-file': '&#xe110;',
		'cicon-file-text': '&#xe111;',
		'cicon-folder-o': '&#xe112;',
		'cicon-folder-open-o': '&#xe113;',
		'cicon-folder': '&#xe114;',
		'cicon-folder-open': '&#xe115;',
		'cicon-cc-amex': '&#xe116;',
		'cicon-cc-discover': '&#xe117;',
		'cicon-cc-mastercard': '&#xe118;',
		'cicon-cc-paypal': '&#xe119;',
		'cicon-cc-stripe': '&#xe11a;',
		'cicon-cc-visa': '&#xe11b;',
		'cicon-cc-jcb': '&#xe2aa;',
		'cicon-credit-card': '&#xe11c;',
		'cicon-credit-card-alt': '&#xe2ab;',
		'cicon-cc-diners-club': '&#xe2ac;',
		'cicon-money': '&#xe11d;',
		'cicon-paypal': '&#xe11e;',
		'cicon-google-wallet': '&#xe11f;',
		'cicon-btc': '&#xe120;',
		'cicon-viacoin': '&#xe20d;',
		'cicon-dollar': '&#xe121;',
		'cicon-cny': '&#xe122;',
		'cicon-eur': '&#xe123;',
		'cicon-gbp': '&#xe124;',
		'cicon-ils': '&#xe125;',
		'cicon-inr': '&#xe126;',
		'cicon-krw': '&#xe127;',
		'cicon-rouble': '&#xe128;',
		'cicon-try': '&#xe129;',
		'cicon-align-center': '&#xe12a;',
		'cicon-align-justify': '&#xe12b;',
		'cicon-align-left': '&#xe12c;',
		'cicon-align-right': '&#xe12d;',
		'cicon-dedent': '&#xe12e;',
		'cicon-indent': '&#xe12f;',
		'cicon-list-ul': '&#xe130;',
		'cicon-list-ol': '&#xe131;',
		'cicon-list': '&#xe132;',
		'cicon-list-alt': '&#xe133;',
		'cicon-columns': '&#xe134;',
		'cicon-table': '&#xe135;',
		'cicon-th-large': '&#xe136;',
		'cicon-th-list': '&#xe137;',
		'cicon-th': '&#xe138;',
		'cicon-font': '&#xe139;',
		'cicon-bold': '&#xe13a;',
		'cicon-italic': '&#xe13b;',
		'cicon-underline': '&#xe13c;',
		'cicon-strikethrough': '&#xe13d;',
		'cicon-subscript': '&#xe13e;',
		'cicon-superscript': '&#xe13f;',
		'cicon-header': '&#xe140;',
		'cicon-paragraph': '&#xe141;',
		'cicon-text-height': '&#xe142;',
		'cicon-text-width': '&#xe143;',
		'cicon-scissors': '&#xe144;',
		'cicon-files-o': '&#xe145;',
		'cicon-clipboard': '&#xe146;',
		'cicon-chain': '&#xe147;',
		'cicon-chain-broken': '&#xe148;',
		'cicon-paperclip': '&#xe149;',
		'cicon-pencil': '&#xe14a;',
		'cicon-pencil-square': '&#xe14b;',
		'cicon-pencil-square-o': '&#xe14c;',
		'cicon-paint-brush': '&#xe14d;',
		'cicon-magic': '&#xe14e;',
		'cicon-eyedropper': '&#xe14f;',
		'cicon-eraser': '&#xe150;',
		'cicon-floppy-o': '&#xe151;',
		'cicon-trash-o': '&#xe152;',
		'cicon-trash': '&#xe153;',
		'cicon-arrow-circle-o-down': '&#xe160;',
		'cicon-arrow-circle-o-left': '&#xe161;',
		'cicon-arrow-circle-o-right': '&#xe162;',
		'cicon-arrow-circle-o-up': '&#xe163;',
		'cicon-arrow-down': '&#xe164;',
		'cicon-arrow-left': '&#xe165;',
		'cicon-arrow-right': '&#xe166;',
		'cicon-arrow-up': '&#xe167;',
		'cicon-caret-down': '&#xe168;',
		'cicon-caret-left': '&#xe169;',
		'cicon-caret-right': '&#xe16a;',
		'cicon-caret-up': '&#xe16b;',
		'cicon-caret-square-o-down': '&#xe16c;',
		'cicon-caret-square-o-left': '&#xe16d;',
		'cicon-caret-square-o-right': '&#xe16e;',
		'cicon-caret-square-o-up': '&#xe16f;',
		'cicon-chevron-circle-down': '&#xe170;',
		'cicon-chevron-circle-left': '&#xe171;',
		'cicon-chevron-circle-right': '&#xe172;',
		'cicon-chevron-circle-up': '&#xe173;',
		'cicon-chevron-down': '&#xe174;',
		'cicon-chevron-left': '&#xe175;',
		'cicon-chevron-right': '&#xe176;',
		'cicon-chevron-up': '&#xe177;',
		'cicon-hand-o-down': '&#xe178;',
		'cicon-hand-o-left': '&#xe179;',
		'cicon-hand-o-right': '&#xe17a;',
		'cicon-hand-o-up': '&#xe17b;',
		'cicon-long-arrow-down': '&#xe17c;',
		'cicon-long-arrow-left': '&#xe17d;',
		'cicon-long-arrow-right': '&#xe17e;',
		'cicon-long-arrow-up': '&#xe17f;',
		'cicon-arrows-h': '&#xe180;',
		'cicon-arrows-v': '&#xe181;',
		'cicon-exchange': '&#xe182;',
		'cicon-random': '&#xe183;',
		'cicon-level-down': '&#xe184;',
		'cicon-level-up': '&#xe185;',
		'cicon-arrows-alt': '&#xe186;',
		'cicon-arrows': '&#xe187;',
		'cicon-expand': '&#xe188;',
		'cicon-compress': '&#xe189;',
		'cicon-external-link-square': '&#xe18b;',
		'cicon-reply-all': '&#xe18c;',
		'cicon-reply': '&#xe18d;',
		'cicon-share': '&#xe18e;',
		'cicon-share-square-o': '&#xe18f;',
		'cicon-share-square': '&#xe190;',
		'cicon-sign-in': '&#xe191;',
		'cicon-sign-out': '&#xe192;',
		'cicon-camera-retro': '&#xe193;',
		'cicon-camera': '&#xe194;',
		'cicon-picture-o': '&#xe195;',
		'cicon-music': '&#xe196;',
		'cicon-headphones': '&#xe197;',
		'cicon-video-camera': '&#xe198;',
		'cicon-film': '&#xe199;',
		'cicon-fast-backward': '&#xe19a;',
		'cicon-step-backward': '&#xe19b;',
		'cicon-backward': '&#xe19c;',
		'cicon-forward': '&#xe19d;',
		'cicon-step-forward': '&#xe19e;',
		'cicon-fast-forward': '&#xe19f;',
		'cicon-play': '&#xe1a0;',
		'cicon-pause': '&#xe1a1;',
		'cicon-stop': '&#xe1a2;',
		'cicon-play-circle-o': '&#xe1a3;',
		'cicon-play-circle': '&#xe1a4;',
		'cicon-pause-circle': '&#xe2ad;',
		'cicon-pause-circle-o': '&#xe2ae;',
		'cicon-stop-circle': '&#xe2af;',
		'cicon-stop-circle-o': '&#xe2b0;',
		'cicon-youtube-play': '&#xe1a5;',
		'cicon-volume-off': '&#xe1a6;',
		'cicon-volume-down': '&#xe1a7;',
		'cicon-volume-up': '&#xe1a8;',
		'cicon-microphone': '&#xe1a9;',
		'cicon-microphone-slash': '&#xe1aa;',
		'cicon-eject': '&#xe1ab;',
		'cicon-cc': '&#xe00b;',
		'cicon-facebook': '&#xe1ac;',
		'cicon-facebook-official': '&#xe1ad;',
		'cicon-facebook-square': '&#xe1ae;',
		'cicon-twitter': '&#xe1b0;',
		'cicon-twitter-square': '&#xe1b1;',
		'cicon-linkedin': '&#xe1b3;',
		'cicon-linkedin-square': '&#xe1b4;',
		'cicon-flickr': '&#xe1b6;',
		'cicon-instagram': '&#xe1b8;',
		'cicon-youtube': '&#xe1b9;',
		'cicon-youtube-square': '&#xe1ba;',
		'cicon-google': '&#xe1bd;',
		'cicon-google-plus': '&#xe1be;',
		'cicon-google-plus-square': '&#xe1c0;',
		'cicon-tumblr': '&#xe1c1;',
		'cicon-tumblr-square': '&#xe1c2;',
		'cicon-pinterest-p': '&#xe1c4;',
		'cicon-pinterest-square': '&#xe1c5;',
		'cicon-pinterest': '&#xe1c6;',
		'cicon-share-alt': '&#xe1c7;',
		'cicon-share-alt-square': '&#xe1c8;',
		'cicon-behance': '&#xe1c9;',
		'cicon-behance-square': '&#xe1ca;',
		'cicon-git': '&#xe1cb;',
		'cicon-git-square': '&#xe1cc;',
		'cicon-github-alt': '&#xe1cd;',
		'cicon-github-square': '&#xe1ce;',
		'cicon-github': '&#xe1cf;',
		'cicon-yahoo': '&#xe1d0;',
		'cicon-hacker-news': '&#xe1d1;',
		'cicon-y-combinator': '&#xe2b1;',
		'cicon-vine': '&#xe1d2;',
		'cicon-vimeo': '&#xe2b2;',
		'cicon-vimeo-square': '&#xe1d3;',
		'cicon-dropbox': '&#xe1d4;',
		'cicon-bitbucket': '&#xe1d5;',
		'cicon-bitbucket-square': '&#xe1d6;',
		'cicon-adn': '&#xe1d7;',
		'cicon-angellist': '&#xe1d8;',
		'cicon-buysellads': '&#xe1d9;',
		'cicon-codepen': '&#xe1da;',
		'cicon-connectdevelop': '&#xe1db;',
		'cicon-css3': '&#xe1dc;',
		'cicon-dashcube': '&#xe1dd;',
		'cicon-delicious': '&#xe1de;',
		'cicon-deviantart': '&#xe1df;',
		'cicon-digg': '&#xe1e0;',
		'cicon-dribbble': '&#xe1e1;',
		'cicon-drupal': '&#xe1e2;',
		'cicon-empire': '&#xe1e3;',
		'cicon-forumbee': '&#xe1e4;',
		'cicon-foursquare': '&#xe1e5;',
		'cicon-gratipay': '&#xe1e6;',
		'cicon-html5': '&#xe1e7;',
		'cicon-ioxhost': '&#xe1e8;',
		'cicon-joomla': '&#xe1e9;',
		'cicon-jsfiddle': '&#xe1ea;',
		'cicon-lastfm': '&#xe1eb;',
		'cicon-lastfm-square': '&#xe1ec;',
		'cicon-leanpub': '&#xe1ed;',
		'cicon-linux': '&#xe1ee;',
		'cicon-maxcdn': '&#xe1ef;',
		'cicon-meanpath': '&#xe1f0;',
		'cicon-medium': '&#xe1f1;',
		'cicon-openid': '&#xe1f2;',
		'cicon-pagelines': '&#xe1f3;',
		'cicon-pied-piper-alt': '&#xe1f4;',
		'cicon-pied-piper': '&#xe1f5;',
		'cicon-qq': '&#xe1f6;',
		'cicon-rebel': '&#xe1f7;',
		'cicon-reddit-square': '&#xe1f8;',
		'cicon-reddit': '&#xe1f9;',
		'cicon-reddit-alien': '&#xe2b3;',
		'cicon-renren': '&#xe1fa;',
		'cicon-sellsy': '&#xe1fb;',
		'cicon-mixcloud': '&#xe2b4;',
		'cicon-shirtsinbulk': '&#xe1fc;',
		'cicon-simplybuilt': '&#xe1fd;',
		'cicon-skyatlas': '&#xe1fe;',
		'cicon-skype': '&#xe1ff;',
		'cicon-slack': '&#xe200;',
		'cicon-slideshare': '&#xe201;',
		'cicon-soundcloud': '&#xe202;',
		'cicon-spotify': '&#xe203;',
		'cicon-stack-exchange': '&#xe204;',
		'cicon-stack-overflow': '&#xe205;',
		'cicon-steam-square': '&#xe206;',
		'cicon-steam': '&#xe207;',
		'cicon-stumbleupon': '&#xe208;',
		'cicon-stumbleupon-circle': '&#xe209;',
		'cicon-tencent-weibo': '&#xe20a;',
		'cicon-trello': '&#xe20b;',
		'cicon-twitch': '&#xe20c;',
		'cicon-vk': '&#xe20e;',
		'cicon-weixin': '&#xe20f;',
		'cicon-weibo': '&#xe210;',
		'cicon-whatsapp': '&#xe211;',
		'cicon-android': '&#xe212;',
		'cicon-apple': '&#xe213;',
		'cicon-windows': '&#xe214;',
		'cicon-wordpress': '&#xe215;',
		'cicon-xing': '&#xe216;',
		'cicon-xing-square': '&#xe217;',
		'cicon-yelp': '&#xe218;',
		'cicon-disqus-circle': '&#xe219;',
		'cicon-px': '&#xe2b5;',
		'cicon-amazon': '&#xe2b6;',
		'cicon-black-tie': '&#xe2b7;',
		'cicon-bluetooth-b': '&#xe2b8;',
		'cicon-bluetooth': '&#xe2b9;',
		'cicon-chrome': '&#xe2ba;',
		'cicon-codiepie': '&#xe2bb;',
		'cicon-contao': '&#xe2bc;',
		'cicon-expeditedssl': '&#xe2bd;',
		'cicon-fonticons': '&#xe2be;',
		'cicon-fort-awesome': '&#xe2bf;',
		'cicon-get-pocket': '&#xe2c0;',
		'cicon-gg-circle': '&#xe2c1;',
		'cicon-gg': '&#xe2c2;',
		'cicon-optin-monster': '&#xe2c3;',
		'cicon-product-hunt': '&#xe2c4;',
		'cicon-scribd': '&#xe2c5;',
		'cicon-usb': '&#xe2c6;',
		'cicon-tripadvisor': '&#xe2c7;',
		'cicon-wikipedia-w': '&#xe2c8;',
		'cicon-modx': '&#xe2c9;',
		'cicon-odnoklassniki': '&#xe2ca;',
		'cicon-odnoklassniki-square': '&#xe2cb;',
		'cicon-opencart': '&#xe2cc;',
		'cicon-houzz': '&#xe2cd;',
		'cicon-edge': '&#xe2ce;',
		'cicon-firefox': '&#xe2cf;',
		'cicon-safari': '&#xe2d0;',
		'cicon-opera': '&#xe2d1;',
		'cicon-incidents': '&#xe24a;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/cicon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
